QGIS Application - Bug report #12927
Installazione terminata con un errore
2015-06-10 12:15 AM - Paolo Orlandi

Status: Closed

Priority: Normal

Assignee: Paolo Cavallini

Category:

Affected QGIS version:2.8.2 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 21009
Description

Buongiorno,

ho provato ad installare qgis 2.8.2 sul mio pc.
Sistema operativo windows 7 32 bit

Alla fine dell'installazione esce una finestra con il seguente messaggio d'errore

Impossibile caricare il plugin qgiscloud a causa di un errore chiamando il metodo classFactory()

Traceback (most recent call last):

File "C:/PROGRA~1/QGISWI~1/apps/qgis/./python\\qgis\\utils.py", line 219, in startPlugin
plugins[packageName] = package.classFactory(iface)

File "C:/Users/Orlandi_Paolo/.qgis2/python/plugins\\qgiscloud\\__init__.py", line 38, in classFactory
from qgiscloudplugin import QgisCloudPlugin

File "C:/PROGRA~1/QGISWI~1/apps/qgis/./python\\qgis\\utils.py", line 478, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/Users/Orlandi_Paolo/.qgis2/python/plugins\\qgiscloud\\qgiscloudplugin.py”, line 29, in
from ggiscloudplugindialog import QgisCloudPluginDialog

File "C:/PROGRA~1/QGISWI~1/apps/qgis/./python\\qgis\\utils.py", line 478, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/Users/Orlandi_Paolo/.qgis2/python/plugins\\qgiscloud\\qgiscloudplugindialog.py", line 43, in
from pyogr.ogrds import OgrDs

File "C:/PROGRA~1/QGISWI~1/apps/qgis/./python\\qgis\\utils.py", line 478, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)

File "C:/Users/Orlandi_Paolo/.qgis2/python/plugins\\qgiscloud\\pyogr\\ogrds.py", line 1, in
import ogr, time

File "C:/PROGRA~1/QGISWI~1/apps/qgis/./python\\qgis\\utils.py", line 478, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named ogr

Versione Python:
2.7.4 (default, Apr 6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

Versione di QGIS:
2.8.2-Wien Wien, 1b929ef

Percorso Python: ['C:/PROGRA~1/QGISWI~1/apps/qgis/./python’, u'C:/Users/Orlandi_Paolo/.qgis2/python’,
u'C:/Users/Orlandi_Paolo/.qgis2/python/plugins', 'C:/PROGRA~1/QGISWI~1/apps/qgis/./python/plugins’,
'C:\WPROGRA~1\WQGISWI~1\\Wbin\\W\python27.zip', 'C:\WPROGRA~1\WQGISWI~1\\\apps\\\Python27\\\DLLs',
'C:\WPROGRA~1\WQGISWI~1\Wapps\\WPython27\\\lib', 'C:\WPROGRA~1\WQGISWI~1\\Wapps\\\Python27\\\lib\\Wplat-win',
'CA\WPROGRA~1\WQGISWI~1\Wapps\\WPython27\\\lib\\\lib-tk', 'C:\WPROGRA~1\WQGISWI~1\\\bin',
'CA\WPROGRA~1\WQGISWI~1\Wapps\\WPython27', 'C:\WPROGRA~1\WQGISWI~1\\\apps\\\Python27\\\lib\\\\site-packages',
'CA\WPROGRA~1\WQGISWI~1\Wapps\\WPython27\\\lib\\\site-packages\\PIL',
'C\WPROGRA~1\WQGISWI~1\\Wapps\\WPython27\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg’,
'CAWPROGRA~1\WQGISWI~1\\Wapps\\WPython27\\\lib\\\site-packages\\\\markupsafe-0.23-py2.7-win32.egg’,
'CA\WPROGRA~1\WQGISWI~1\\\apps\\WPython27\\\lib\\\site-packages\\\\python_dateutil-2.2-py2.7.egg',
'C\WPROGRA~1\WQGISWI~1\\Wapps\\WPython27\\\lib\\\site-packages\\\\pytz-2014.2-py2.7.egg’,
'C:\WPROGRA~1\WQGISWI~1\\Wapps\\WPython27\\\lib\\\site-packages\\\\win32',
'C:\WPROGRA~1\WQGISWI~1\\Wapps\\W\Python27\\\lib\\\site-packages\\\win32\\\lib',
'C\WPROGRA~1\WQGISWI~1\\\apps\\WPython27\\\lib\\\\site-packages\\\\Pythonwin',
'C:\WPROGRA~1\WQGISWI~1\\\apps\\W\Python27\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win32.egg’,
'C:\WPROGRA~1\WQGISWI~1\\apps\\W\Python27\\\lib\\\site-packages\\\\six-1.6.1-py2.7.egg’,
'C\WPROGRA~1\WQGISWI~1\\apps\\WPython27\\\lib\\\site-packages\\\\wx-2.8-msw-unicode’,
u'C:/Users/Orlandi_Paolo/.qgis2//python’]

Chiudendo tale finestra d'errore, il caricamento prosegue e si completa
Non so per0 se possa dare origine a ulteriori problematiche durante I'uso di QGIS

Come posso risolvere?
Grazie

History

#1 - 2015-06-10 07:37 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Open to Closed

Hi, the error is thrown by a 3rd party plugin (qgis cloud) not qgis itself. Note: issues here must be filed in english.
